diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/trace-source-accessor.cc ns-3.43/src/core/model/trace-source-accessor.cc
--- ns-3.42/src/core/model/trace-source-accessor.cc	2024-05-29 15:29:46.936073000 -0700
+++ ns-3.43/src/core/model/trace-source-accessor.cc	2024-10-09 16:41:09.864655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/trace-source-accessor.h ns-3.43/src/core/model/trace-source-accessor.h
--- ns-3.42/src/core/model/trace-source-accessor.h	2024-05-29 15:29:46.936073000 -0700
+++ ns-3.43/src/core/model/trace-source-accessor.h	2024-10-09 16:41:09.864655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/trickle-timer.cc ns-3.43/src/core/model/trickle-timer.cc
--- ns-3.42/src/core/model/trickle-timer.cc	2024-05-29 15:29:46.936073000 -0700
+++ ns-3.43/src/core/model/trickle-timer.cc	2024-10-09 16:41:09.864655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2020 Universita' di Firenze, Italy
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/trickle-timer.h ns-3.43/src/core/model/trickle-timer.h
--- ns-3.42/src/core/model/trickle-timer.h	2024-05-29 15:29:46.936073000 -0700
+++ ns-3.43/src/core/model/trickle-timer.h	2024-10-09 16:41:09.864655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2020 Universita' di Firenze, Italy
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/tuple.h ns-3.43/src/core/model/tuple.h
--- ns-3.42/src/core/model/tuple.h	2024-05-29 15:29:46.936073000 -0700
+++ ns-3.43/src/core/model/tuple.h	2024-10-09 16:41:09.864655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2021 Universita' degli Studi di Napoli Federico II
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Stefano Avallone <stavallo@unina.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/type-id.cc ns-3.43/src/core/model/type-id.cc
--- ns-3.42/src/core/model/type-id.cc	2024-05-29 15:29:46.936073000 -0700
+++ ns-3.43/src/core/model/type-id.cc	2024-10-09 16:41:09.864655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
@@ -85,6 +74,13 @@
      */
     uint16_t AllocateUid(std::string name);
     /**
+     * Add a deprecated name for the type id.  Use of this name raises
+     * a runtime warning, and only one deprecated name is supported.
+     * \param [in] uid The id.
+     * \param [in] name The deprecated name.
+     */
+    void AddDeprecatedName(uint16_t uid, const std::string& name);
+    /**
      * Set the parent of a type id.
      * \param [in] uid The id.
      * \param [in] parent The id of the parent.
@@ -132,6 +128,12 @@
      */
     std::string GetName(uint16_t uid) const;
     /**
+     * Get the deprecated name of a type id.
+     * \param [in] uid The id.
+     * \returns The name of the type id.
+     */
+    std::string GetDeprecatedName(uint16_t uid) const;
+    /**
      * Get the hash of a type id.
      * \param [in] uid The id.
      * \returns The hash of the type id.
@@ -297,6 +299,8 @@
     {
         /** The type id name. */
         std::string name;
+        /** A deprecated type id name. */
+        std::string deprecatedName;
         /** The type id hash value. */
         TypeId::hash_t hash;
         /** The parent type id. */
@@ -427,7 +431,7 @@
             uint16_t oldUid = GetUid(hinfo->hash);
             m_hashmap.erase(m_hashmap.find(hinfo->hash));
             hinfo->hash = hash | HashChainFlag;
-            m_hashmap.insert(std::make_pair(hinfo->hash, oldUid));
+            m_hashmap.insert({hinfo->hash, oldUid});
             // leave new hash unchained
         }
     }
@@ -447,8 +451,8 @@
     auto uid = static_cast<uint16_t>(tuid);
 
     // Add to both maps:
-    m_namemap.insert(std::make_pair(name, uid));
-    m_hashmap.insert(std::make_pair(hash, uid));
+    m_namemap.insert({name, uid});
+    m_hashmap.insert({hash, uid});
     NS_LOG_LOGIC(IIDL << uid);
     return uid;
 }
@@ -464,6 +468,19 @@
 }
 
 void
+IidManager::AddDeprecatedName(uint16_t uid, const std::string& name)
+{
+    NS_LOG_FUNCTION(IID << uid << name);
+    IidInformation* info = LookupInformation(uid);
+    NS_ASSERT_MSG(info->deprecatedName.empty(),
+                  "Deprecated name already added: " << info->deprecatedName);
+    const auto [it, success] = m_namemap.insert({name, uid});
+    NS_ASSERT_MSG(success,
+                  "Deprecated name " << name << " insertion failed (possibly a duplicate?)");
+    info->deprecatedName = name;
+}
+
+void
 IidManager::SetParent(uint16_t uid, uint16_t parent)
 {
     NS_LOG_FUNCTION(IID << uid << parent);
@@ -546,6 +563,15 @@
     return information->name;
 }
 
+std::string
+IidManager::GetDeprecatedName(uint16_t uid) const
+{
+    NS_LOG_FUNCTION(IID << uid);
+    IidInformation* information = LookupInformation(uid);
+    NS_LOG_LOGIC(IIDL << information->deprecatedName);
+    return information->deprecatedName;
+}
+
 TypeId::hash_t
 IidManager::GetHash(uint16_t uid) const
 {
@@ -833,11 +859,26 @@
 }
 
 TypeId
+TypeId::AddDeprecatedName(const std::string& name)
+{
+    NS_LOG_FUNCTION(this << name);
+    IidManager::Get()->AddDeprecatedName(m_tid, name);
+    NS_LOG_INFO("Set deprecated name " << name << " for TypeId "
+                                       << IidManager::Get()->GetName(m_tid));
+    return *this;
+}
+
+TypeId
 TypeId::LookupByName(std::string name)
 {
     NS_LOG_FUNCTION(name);
     uint16_t uid = IidManager::Get()->GetUid(name);
-    NS_ASSERT_MSG(uid != 0, "Assert in TypeId::LookupByName: " << name << " not found");
+    NS_ASSERT_MSG(uid, "Assert in TypeId::LookupByName: " << name << " not found");
+    if (IidManager::Get()->GetDeprecatedName(uid) == name)
+    {
+        std::cerr << "Deprecation warning for name " << name << "; use "
+                  << IidManager::Get()->GetName(uid) << " instead" << std::endl;
+    }
     return TypeId(uid);
 }
 
@@ -851,6 +892,11 @@
         return false;
     }
     *tid = TypeId(uid);
+    if (IidManager::Get()->GetDeprecatedName(uid) == name)
+    {
+        std::cerr << "Deprecation warning for name " << name << "; use "
+                  << IidManager::Get()->GetName(uid) << " instead" << std::endl;
+    }
     return true;
 }
 
@@ -890,41 +936,64 @@
     return TypeId(IidManager::Get()->GetRegistered(i));
 }
 
+std::tuple<bool, TypeId, TypeId::AttributeInformation>
+TypeId::FindAttribute(const TypeId& tid, const std::string& name)
+{
+    TypeId currentTid = tid;
+    TypeId parentTid;
+    while (true)
+    {
+        for (std::size_t i = 0; i < currentTid.GetAttributeN(); ++i)
+        {
+            const AttributeInformation& attributeInfo = currentTid.GetAttribute(i);
+            if (attributeInfo.name == name)
+            {
+                return {true, currentTid, attributeInfo};
+            }
+        }
+
+        parentTid = currentTid.GetParent();
+
+        if (parentTid == currentTid)
+        {
+            break;
+        }
+
+        currentTid = parentTid;
+    }
+    return {false, TypeId(), AttributeInformation()};
+}
+
 bool
-TypeId::LookupAttributeByName(std::string name, TypeId::AttributeInformation* info) const
+TypeId::LookupAttributeByName(std::string name,
+                              TypeId::AttributeInformation* info,
+                              bool permissive) const
 {
     NS_LOG_FUNCTION(this << name << info);
-    TypeId tid;
-    TypeId nextTid = *this;
-    do
+    auto [found, tid, attribute] = FindAttribute(*this, name);
+    if (found)
     {
-        tid = nextTid;
-        for (std::size_t i = 0; i < tid.GetAttributeN(); i++)
+        if (attribute.supportLevel == TypeId::SUPPORTED)
+        {
+            *info = attribute;
+            return true;
+        }
+        else if (attribute.supportLevel == TypeId::DEPRECATED)
         {
-            TypeId::AttributeInformation tmp = tid.GetAttribute(i);
-            if (tmp.name == name)
+            if (!permissive)
             {
-                if (tmp.supportLevel == TypeId::SUPPORTED)
-                {
-                    *info = tmp;
-                    return true;
-                }
-                else if (tmp.supportLevel == TypeId::DEPRECATED)
-                {
-                    std::cerr << "Attribute '" << name << "' is deprecated: " << tmp.supportMsg
-                              << std::endl;
-                    *info = tmp;
-                    return true;
-                }
-                else if (tmp.supportLevel == TypeId::OBSOLETE)
-                {
-                    NS_FATAL_ERROR("Attribute '" << name << "' is obsolete, with no fallback: "
-                                                 << tmp.supportMsg);
-                }
+                std::cerr << "Attribute '" << name << "' is deprecated: " << attribute.supportMsg
+                          << std::endl;
             }
+            *info = attribute;
+            return true;
         }
-        nextTid = tid.GetParent();
-    } while (nextTid != tid);
+        else if (attribute.supportLevel == TypeId::OBSOLETE)
+        {
+            NS_FATAL_ERROR("Attribute '"
+                           << name << "' is obsolete, with no fallback: " << attribute.supportMsg);
+        }
+    }
     return false;
 }
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/type-id.h ns-3.43/src/core/model/type-id.h
--- ns-3.42/src/core/model/type-id.h	2024-05-29 15:29:46.936073000 -0700
+++ ns-3.43/src/core/model/type-id.h	2024-10-09 16:41:09.864655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
@@ -183,6 +172,20 @@
     explicit TypeId(const std::string& name);
 
     /**
+     * Add an deprecated name for a TypeId.
+     *
+     * \param [in] name The deprecated name.
+     * \return This TypeId instance.
+     *
+     * To allow for deprecations (such as moving a TypeId into a namespace
+     * but wishing to preserve the original string from namespace ns3),
+     * one additional deprecated name can be registered for a TypeId.  This
+     * deprecated name is not retrievable by GetName().  A runtime warning is
+     * generated if the name is used, and only one deprecated name is supported.
+     */
+    TypeId AddDeprecatedName(const std::string& name);
+
+    /**
      * Get the parent of this TypeId.
      *
      * \returns The parent of this TypeId
@@ -465,15 +468,31 @@
     TypeId HideFromDocumentation();
 
     /**
+     * Find an attribute by name in the inheritance tree for a given TypeId.
+     *
+     * \param [in] tid The TypeId to start the search from.
+     * \param [in] name The name of the attribute to search for.
+     * \return A tuple containing a boolean that indicates whether the attribute was found, the
+     * TypeId where the attribute was found, and the AttributeInformation of the found attribute.
+     */
+    static std::tuple<bool, TypeId, AttributeInformation> FindAttribute(const TypeId& tid,
+                                                                        const std::string& name);
+
+    /**
      * Find an Attribute by name, retrieving the associated AttributeInformation.
      *
      * \param [in]  name The name of the requested attribute
      * \param [in,out] info A pointer to the TypeId::AttributeInformation
      *              data structure where the result value of this method
      *              will be stored.
+     * \param [in] permissive If false (by default), will generate warnings and errors for
+     * deprecated and obsolete attributes, respectively. If set to true, warnings for deprecated
+     * attributes will be suppressed.
      * \returns \c true if the requested attribute could be found.
      */
-    bool LookupAttributeByName(std::string name, AttributeInformation* info) const;
+    bool LookupAttributeByName(std::string name,
+                               AttributeInformation* info,
+                               bool permissive = false) const;
     /**
      * Find a TraceSource by name.
      *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/type-name.h ns-3.43/src/core/model/type-name.h
--- ns-3.42/src/core/model/type-name.h	2024-05-29 15:29:46.936073000 -0700
+++ ns-3.43/src/core/model/type-name.h	2024-10-09 16:41:09.864655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007 Georgia Tech Research Corporation
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
@@ -37,7 +26,7 @@
  *
  * Type name strings for AttributeValue types.
  * Custom classes should add a template specialization of this function
- * using the macro \c TYPE_NAME_GET_DEFINE(T).
+ * using the macro \c TYPENAMEGET_DEFINE(T).
  *
  * \tparam T \explicit The type.
  * \returns The type name as a string.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/type-traits.h ns-3.43/src/core/model/type-traits.h
--- ns-3.42/src/core/model/type-traits.h	2024-05-29 15:29:46.936073000 -0700
+++ ns-3.43/src/core/model/type-traits.h	2024-10-09 16:41:09.864655700 -0700
@@ -1,24 +1,14 @@
 /*
  * Copyright (c) 2007 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
 #ifndef TYPE_TRAITS_H
 #define TYPE_TRAITS_H
 
+#include "deprecated.h"
 #include "ptr.h"
 
 /**
@@ -36,7 +26,7 @@
  *  \tparam T \deduced The type to inspect.
  */
 template <typename T>
-struct TypeTraits
+struct NS_DEPRECATED_3_43("Use functions provided by #include <type_traits>") TypeTraits
 {
   private:
     /** Null value type traits. */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/uinteger.cc ns-3.43/src/core/model/uinteger.cc
--- ns-3.42/src/core/model/uinteger.cc	2024-05-29 15:29:46.936073000 -0700
+++ ns-3.43/src/core/model/uinteger.cc	2024-10-09 16:41:09.864655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/uinteger.h ns-3.43/src/core/model/uinteger.h
--- ns-3.42/src/core/model/uinteger.h	2024-05-29 15:29:46.936073000 -0700
+++ ns-3.43/src/core/model/uinteger.h	2024-10-09 16:41:09.864655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/uniform-random-bit-generator.h ns-3.43/src/core/model/uniform-random-bit-generator.h
--- ns-3.42/src/core/model/uniform-random-bit-generator.h	2024-05-29 15:29:46.936073000 -0700
+++ ns-3.43/src/core/model/uniform-random-bit-generator.h	2024-10-09 16:41:09.864655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2023 Universita' degli Studi di Napoli Federico II
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Stefano Avallone <stavallo@unina.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/unix-fd-reader.cc ns-3.43/src/core/model/unix-fd-reader.cc
--- ns-3.42/src/core/model/unix-fd-reader.cc	2024-05-29 15:29:46.936073000 -0700
+++ ns-3.43/src/core/model/unix-fd-reader.cc	2024-10-09 16:41:09.864655700 -0700
@@ -2,18 +2,7 @@
 /*
  * Copyright (c) 2010 The Boeing Company
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tom Goff <thomas.goff@boeing.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/val-array.h ns-3.43/src/core/model/val-array.h
--- ns-3.42/src/core/model/val-array.h	2024-05-29 15:29:46.936073000 -0700
+++ ns-3.43/src/core/model/val-array.h	2024-10-09 16:41:09.864655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2022 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Biljana Bojovic <bbojovic@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/vector.cc ns-3.43/src/core/model/vector.cc
--- ns-3.42/src/core/model/vector.cc	2024-05-29 15:29:46.936073000 -0700
+++ ns-3.43/src/core/model/vector.cc	2024-10-09 16:41:09.864655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/vector.h ns-3.43/src/core/model/vector.h
--- ns-3.42/src/core/model/vector.h	2024-05-29 15:29:46.936073000 -0700
+++ ns-3.43/src/core/model/vector.h	2024-10-09 16:41:09.864655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
@@ -394,25 +383,25 @@
 
 // Document these by hand so they go in group attribute_Vector3D
 
-/*!
-\ingroup attribute_Vector3D
-\fn ns3::Ptr<const ns3::AttributeAccessor> ns3::MakeVectorAccessor (T1 a1)
-\copydoc ns3::MakeAccessorHelper(T1)
-\see AttributeAccessor
-*/
-
-/*!
-\ingroup attribute_Vector3D
-\fn ns3::Ptr<const ns3::AttributeAccessor> ns3::MakeVectorAccessor (T1 a1, T2 a2)
-\copydoc ns3::MakeAccessorHelper(T1,T2)
-\see AttributeAccessor
-*/
-
-/*!
-\ingroup attribute_Vector3D
-\fn ns3::Ptr<const ns3::AttributeChecker> ns3::MakeVectorChecker ()
-\returns The AttributeChecker.
-\see AttributeChecker
-*/
+/**
+ * \ingroup attribute_Vector3D
+ * \fn ns3::Ptr<const ns3::AttributeAccessor> ns3::MakeVectorAccessor (T1 a1)
+ * \copydoc ns3::MakeAccessorHelper(T1)
+ * \see AttributeAccessor
+ */
+
+/**
+ * \ingroup attribute_Vector3D
+ * \fn ns3::Ptr<const ns3::AttributeAccessor> ns3::MakeVectorAccessor (T1 a1, T2 a2)
+ * \copydoc ns3::MakeAccessorHelper(T1,T2)
+ * \see AttributeAccessor
+ */
+
+/**
+ * \ingroup attribute_Vector3D
+ * \fn ns3::Ptr<const ns3::AttributeChecker> ns3::MakeVectorChecker ()
+ * \returns The AttributeChecker.
+ * \see AttributeChecker
+ */
 
 #endif /* NS3_VECTOR_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/version.cache ns-3.43/src/core/model/version.cache
--- ns-3.42/src/core/model/version.cache	2024-05-29 15:30:10.908134200 -0700
+++ ns-3.43/src/core/model/version.cache	2024-10-09 16:41:49.368803700 -0700
@@ -1,10 +1,10 @@
-CLOSEST_TAG = '"ns-3.42"'
-VERSION_COMMIT_HASH = '"gab4cce021"'
+CLOSEST_TAG = '"ns-3.43"'
+VERSION_COMMIT_HASH = '"g753817468"'
 VERSION_DIRTY_FLAG = '0'
 VERSION_MAJOR = '3'
-VERSION_MINOR = '42'
+VERSION_MINOR = '43'
 VERSION_PATCH = '0'
 VERSION_RELEASE_CANDIDATE = '""'
-VERSION_TAG = '"ns-3.42"'
+VERSION_TAG = '"ns-3.43"'
 VERSION_TAG_DISTANCE = '0'
 VERSION_BUILD_PROFILE = 'default'
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/version.cc ns-3.43/src/core/model/version.cc
--- ns-3.42/src/core/model/version.cc	2024-05-29 15:29:46.940073000 -0700
+++ ns-3.43/src/core/model/version.cc	2024-10-09 16:41:09.864655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2018 Lawrence Livermore National Laboratory
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Mathew Bielejeski <bielejeski1@llnl.gov>
  */
